<?php
/**
 * UTF8
 * stanislav.elbl, 23.10.2015
 */

namespace Ron\RonPortal;


class RonPortalXMLEvents
{
    // editace dochazky
    const EDITACE_DOCHAZKY_EVENT = 'EDITACE_DOCHAZKY_EVENT';
    const EDITACE_DOCHAZKY_BEFORE = 'EDITACE_DOCHAZKY_BEFORE';
    const EDITACE_DOCHAZKY_AFTER = 'EDITACE_DOCHAZKY_AFTER';

    const EDITACE_MESICNICH_AFTER = 'EDITACE_MESICNICH_AFTER';

    // vlozeni dochazky
    const VLOZENI_BEFORE = 'VLOZENI_DOCHAZKY_BEFORE';
    const VLOZENI_AFTER = 'VLOZENI_DOCHAZKY_AFTER';

    // schvalovani dochazky
    const SCHVALENI_DOCHAZKY_BEFORE = 'SCHVALENI_DOCHAZKY_BEFORE';
    const SCHVALENI_DOCHAZKY_AFTER = 'SCHVALENI_DOCHAZKY_AFTER';
    const SCHVALOVANI_SHOW = 'SCHVALOVANI_Show'; // spousti se pri generovani formulare  pro schvaleni, muze obsahovat napr. javascripty

    // absence + kapacity
    const ABSENCE_BEFORE_POST = 'ABSENCE_BEFORE_POST';
    const ABSENCE_AFTER_POST = 'ABSENCE_AFTER_POST';
    // kapacity
    const KAPACITY_SHOW = 'PK_Show';
    const KAPACITY_BEFORE_POST = 'KAPACITY_BEFORE_POST';
    const KAPACITY_AFTER_POST = 'KAPACITY_AFTER_POST';
    const KAPACITY_SCHVALENI_BEFORE = 'KAPACITY_SCHVALENI_BEFORE';
    const KAPACITY_SCHVALENI_AFTER = 'KAPACITY_SCHVALENI_AFTER';
    // podminky planovani
    const KAPACITY_PODMINKY_BEFORE = 'KAPACITY_PODMINKY_BEFORE';
    const KAPACITY_PODMINKY_AFTER = 'KAPACITY_PODMINKY_AFTER';
    const KAPACITY_PODMINKY_SCHVALENI_BEFORE = 'KAPACITY_PODMINKY_SCHVALENI_BEFORE';
    const KAPACITY_PODMINKY_SCHVALENI_AFTER = 'KAPACITY_PODMINKY_SCHVALENI_AFTER';

    // sluzebni cesty
    const SC_BEFORE_POST = 'SC_BEFORE_POST';
    const SC_AFTER_POST = 'SC_AFTER_POST';
    const SC_SCHVALENI = 'SC_SCHVALENI'; // context obsahuje uroven a _before nebo _after
    const SC_RADEK_BEFORE_POST = 'SC_RADEK_BEFORE_POST'; //context obsahuje insert/update
    const SC_RADEK_AFTER_POST = 'SC_RADEK_AFTER_POST';
    const SC_UCTOVANI_BEFORE_POST = 'SC_UCTOVANI_BEFORE_POST'; //context obsahuje insert/update
    const SC_UCTOVANI_AFTER_POST = 'SC_UCTOVANI_AFTER_POST';

    // provozni denik
    const PROVOZNI_DENIK_BEFORE = 'PROVOZNI_DENIK_BEFORE';
    const PROVOZNI_DENIK_AFTER = 'PROVOZNI_DENIK_AFTER'; //context obsahuje insert/update

    // prihlaseni skoleni
    const SKOLENI_PRIHLASENI_BEFORE = 'SKOLENI_PRIHLASENI_BEFORE';
    const SKOLENI_PRIHLASENI_AFTER = 'SKOLENI_PRIHLASENI_AFTER'; //context muze byt login/logout
    
    // pokladni kniha
    const POKLK_BEFORE_POST = 'POKLK_BEFORE_POST';
    const POKLK_AFTER_POST = 'POKLK_AFTER_POST';
    const POKLK_SCHVALENI = 'POKLK_Schvaleni'; // context obsahuje uroven a _before nebo _after 
    
    // zadost o zastup
    const ZASTUP_BEFORE_POST = 'ZASTUP_BEFORE_POST';
    const ZASTUP_AFTER_POST = 'ZASTUP_AFTER_POST';
    const ZASTUP_SCHVALENI = 'ZASTUP_Schvaleni';
 
    // zapis absolvovani skoleni
    const SKOLENI_ABSOLVOVANI_BEFORE = 'SKOLENI_ABSOLVOVANI_BEFORE';
    const SKOLENI_ABSOLVOVANI_AFTER = 'SKOLENI_ABSOLVOVANI_AFTER'; //context obsahuje insert/update

    // zastupy uzivatelu
    const ZASTUP_UZIVATELE_BEFORE_POST = 'ZASTUP_UZIVATELE_BEFORE_POST';
    const ZASTUP_UZIVATELE_AFTER_POST = 'ZASTUP_UZIVATELE_AFTER_POST';

    // prirazeni kalendare
    const PRIRAZENI_KALENDARE_SELECT = 'PRIRAZENI_KALENDARE_SELECT';

    // vydana objednavka
    /** @var string context obsahuje uroven a _before nebo _after */
    const VYD_OBJEDNAVKA_SCHVALENI = 'VYDANA_OBJEDNAVKA_SCHVALENI';
    const VYD_OBJEDNAVKA_BEFORE_POST = 'VYDANA_OBJEDNAVKA_BEFORE_POST';
    const VYD_OBJEDNAVKA_AFTER_POST = 'VYDANA_OBJEDNAVKA_AFTER_POST';

    const LOGOUT_BEFORE = 'LOGOUT_BEFORE';
}


class RonPortalScriptEvents
{
    // editace dochazky
    const CATEGORY_EDITACE = 'Editace_dochazky';
    const EDITACE_DOCHAZKY_IW_BEFORE = 'EDITACE_DOCHAZKY_IW_BEFORE';
    const EDITACE_DOCHAZKY_IW_AFTER = 'EDITACE_DOCHAZKY_IW_AFTER';
    const VLOZENI_DOCHAZKY_IW_BEFORE = 'VLOZENI_DOCHAZKY_IW_BEFORE';
    const VLOZENI_DOCHAZKY_IW_AFTER = 'VLOZENI_DOCHAZKY_IW_AFTER';

    // schvalovani
    const CATEGORY_SCHVALOVANI = 'Schvalovani_dochazky';
    const SCHVALENI_DOCHAZKY_BEFORE = 'SCHVALENIDOCHAZKY_IW_BEFORE';
    const SCHVALENI_DOCHAZKY_1_BEFORE = 'SCHVALENIDOCHAZKY_IW_1_BEFORE';
    const SCHVALENI_DOCHAZKY_2_BEFORE = 'SCHVALENIDOCHAZKY_IW_2_BEFORE';
    const SCHVALENI_DOCHAZKY_3_BEFORE = 'SCHVALENIDOCHAZKY_IW_3_BEFORE';
    const SCHVALENI_DOCHAZKY_AFTER = 'SCHVALENIDOCHAZKY_IW_AFTER';
    const SCHVALENI_DOCHAZKY_1_AFTER = 'SCHVALENIDOCHAZKY_IW_1_AFTER';
    const SCHVALENI_DOCHAZKY_2_AFTER = 'SCHVALENIDOCHAZKY_IW_2_AFTER';
    const SCHVALENI_DOCHAZKY_3_AFTER = 'SCHVALENIDOCHAZKY_IW_3_AFTER';
    const SCHVALENI_DOCHAZKY_CHECK = 'SCHVALENIDOCHAZKY_IW_CHECK';
    const SCHVALENI_DOCHAZKY_1_CHECK = 'SCHVALENIDOCHAZKY_IW_1_CHECK';
    const SCHVALENI_DOCHAZKY_2_CHECK = 'SCHVALENIDOCHAZKY_IW_2_CHECK';
    const SCHVALENI_DOCHAZKY_3_CHECK = 'SCHVALENIDOCHAZKY_IW_3_CHECK';

    // planovani absenci
    const CATEGORY_ABSENCE = 'Planovani_absenci';
    const VLOZENI_ABSENCE_BEFORE = 'VLOZENI_ABSENCE_IW_BEFORE';
    const VLOZENI_ABSENCE_AFTER = 'VLOZENI_ABSENCE_IW_AFTER';
    const EDITACE_ABSENCE_BEFORE = 'EDITACE_ABSENCE_IW_BEFORE';
    const EDITACE_ABSENCE_AFTER = 'EDITACE_ABSENCE_IW_AFTER';
    const SCHVALENI_ABSENCE = 'SCHVALENI_ABSENCE_IW';
    const ZAMITNUTI_ABSENCE = 'ZAMITNUTI_ABSENCE_IW';
    const ZRUSENI_ABSENCE = 'ZRUSENI_ABSENCE_IW';
    const STAV_ABSENCE = 'STAV_ABSENCE_IW';

    // kapacity
    const CATEGORY_KAPACITY = 'Planovani_kapacit';
    const KAPACITY_SCHVALENI_BEFORE = 'SCHVALENIKAPACIT_IW_BEFORE';
    const KAPACITY_SCHVALENI_AFTER = 'SCHVALENIKAPACIT_IW_AFTER';
    const KAPACITY_PREPOCET_BEFORE = 'PREPOCETKAPACIT_IW_BEFORE';
    const KAPACITY_PREPOCET_AFTER = 'PREPOCETKAPACIT_IW_AFTER';
    const KAPACITY_BEFORE_POST = 'PLANOVANIKAPACIT_BEFORE_POST';
    const KAPACITY_AFTER_POST = 'PLANOVANIKAPACIT_AFTER_POST';

    const PODMINKA_PLANOVANI_BEFORE_POST = 'PodminkaPlanovaniKapacit_BEFORE_POST';
    const PODMINKA_PLANOVANI_AFTER_POST = 'PodminkaPlanovaniKapacit_AFTER_POST';
}
