<?php

/**
 * UTF8
 */

namespace Ron\RonPortal;

require_once('adsapp/ronportalform.php');


class VyjadreniFormular extends RonPortalForm
{

    function __construct($database)
    {
        parent::__construct($database, 'edit');

        $this -> htmlAction = '?menuid=vzkazy&action=vyjadreni';
        $this -> stornoAction = '?menuid=vzkazy';

        $this -> title = \Ron\ronText('Upravit_vyjadreni');
        $this -> sqlTableName = 'Vzkaz';

        $this -> dbLogSrcDescription = 'Vzkazy';

        $this ->addFields( [
            [ FORM_FIELD_TYPE => FORM_FIELD_TYPE_ID, FORM_FIELD_NAME => 'Id', FORM_FIELD_PRIMARY => true ],
            [ FORM_FIELD_TYPE => FORM_FIELD_TYPE_HIDDEN, FORM_FIELD_NAME => 'Zpracovano', FORM_FIELD_DATA_TYPE => 'int', FORM_FIELD_DEFAULT_VALUE => 0 ],

            [ FORM_FIELD_TYPE => FORM_FIELD_TYPE_ACTUAL_TIME, FORM_FIELD_NAME => 'PosledniAktualizace', FORM_FIELD_EDIT => false ],

            [ FORM_FIELD_TYPE => FORM_FIELD_TYPE_EDIT,  FORM_FIELD_NAME => 'Predmet',FORM_FIELD_CAPTION_TEXT => 'Predmet',
                FORM_FIELD_MAXLENGTH => 60, FORM_FIELD_REQUIRED => 0, FORM_FIELD_EDIT => 0 ],

            [ FORM_FIELD_TYPE => FORM_FIELD_TYPE_MEMO,  FORM_FIELD_NAME => 'Popis', FORM_FIELD_CAPTION => '&nbsp;', FORM_FIELD_EDIT => false ],

            [ FORM_FIELD_TYPE => FORM_FIELD_TYPE_MEMO,  FORM_FIELD_NAME => 'Vyjadreni',FORM_FIELD_CAPTION_TEXT => 'Vyjadreni', FORM_FIELD_EDIT => 1 ]
        ]);
    }

}

