<?php
/**
 * UTF8
 * stanislav.elbl, 26.08.2015
 */

namespace Ron\Jidelna;

use Ron\Http\HtmlHeaders;
use Ron\MVC\BrowserController;
use Ron\RonPortal\RonPortalSettings;
use Ron\TextManager;

require_once('ron/browsercontroller.php');
require_once('jidelna/b_ucetstravnika.php');

TextManager::getInstance() ->loadStrings('jidelna.ini');
HtmlHeaders::getInstance() ->setIcon(RonPortalSettings::getValue('shortcut_icon') ?: 'images/icon_jidelna.png');

return new BrowserController(
    $this ->database,
    'ucetstravnika',
    function() { return new UcetStravnikaBrowser($this ->database); }
);
