<?php
/**
 * stanislav.elbl, 24.01.2019
 */

?>
<!DOCTYPE html>
<html lang="cz">
<head>
    <meta charset="UTF-8">
    <title>RON Web Dokumentace</title>
    <link rel="stylesheet" type="text/css" href="../fontawesome/css/all.min.css">
    <link rel="stylesheet" type="text/css" href="../script/jquery-ui.min.css">
    <link rel="stylesheet" type="text/css" href="../css/s_ron.css">
    <link rel="stylesheet" type="text/css" href="help.css">
    <script src="../script/jquery.js" type="text/javascript"></script>
    <script src="../script/jquery-ui.min.js" type="text/javascript"></script>
    <script src="../script/javascripts.js" type="text/javascript"></script>

    <script>
        $(function() {
            $(".example").each( function() {
                var $this = $(this);
                var html = $this.find(".exampleresult").html();
                $this.find(".examplecode").text(html);
            });
        });
    </script>
</head>
<body>
<h1>RON Portál - nápověda - XML formuláře</h1>

<div class="row">
    <div class="col col-12 col-sm-3 col-md-2 menu">
        <ul class="help-menu">
            <li><a href="?import=xml_formular.html">XML formuláře</a></li>
            <li><a href="?import=promenne.html">Proměnné, &lt;variable&gt;, &lt;datavariable&gt;</a></li>
            <li><a href="?import=sqlvariable.php">&lt;sqlvariable&gt;</a></li>
            <li><a href="?import=block.php">&lt;block&gt;</a></li>
            <li><a href="?import=if.php">&lt;if&gt;, &lt;test&gt;</a></li>
            <li><a href="?import=switch.php">&lt;switch&gt; a &lt;case&gt;</a></li>
            <li><a href="?import=vyberobdobi.php">&lt;vyberobdobi&gt;</a></li>
            <li><a href="?import=email.html">&lt;email&gt;</a></li>
            <li><a href="?import=report.html">&lt;report&gt;, &lt;reportvariable&gt;</a></li>
        </ul>
    </div>

    <div class="col col-12 col-sm-9 col-md-10 content">
        <?php
            $fileName = isset($_GET['import']) ? $_GET['import'] : 'xml_formular.html';
            $fileName = str_replace('/', '', $fileName);
            $fileName = str_replace('\\', '', $fileName);
            $fileName = 'xml/' . $fileName;

            if (file_exists($fileName)) {
                require $fileName;
            }
        ?>
    </div>
</div>
