<h2>Tag &lt;vyberobdobi&gt;</h2>

Pole pro zobrazení comboboxu pro výběr období. Vybrané období se zároveň zapíše do pole obdobi v záznamu tabulky VyplnenyXMLFormular.
<PRE>
   &lt;vyberobdobi name="OBDOBI" aplikace="ADS" /&gt;
</PRE>

<p>
    Vytvoří se proměnné s názvem zadaným v parametru <code>name</code>, takže v tomto případě to bude <code>OBDOBI</code>, <code>OBDOBI_popis</code>,
    <code>OBDOBI_pocatek</code> (stejna hodnota jako <code>OBDOBI</code>), <code>OBDOBI_konec</code>,
    <code>OBDOBI_pocatekstr</code>, <code>OBDOBI_konecstr</code> (textový zápis začátku a konce)
</p>

Parametr <code>variabilni</code> určuje, jestli se budou vybírat variabilní období docházky.
<PRE>
   &lt;vyberobdobi name="OBDOBI" aplikace="ADS" variabilni="1" /&gt;
</PRE>


Parametr <code>required</code> určuje, jestli je zadání hodnoty povinné. Výchozí hodnota je <code>required=1</code>.
<PRE>
   &lt;vyberobdobi name="OBDOBI" aplikace="ADS" required="0" /&gt;
</PRE>

Parametr <code>jenneuzavrene</code> omezí výběr na otevřená období nebo povolí výběr všech. Výchozí hodnota je <code>jenneuzavrene=1</code>.
<PRE>
   &lt;vyberobdobi name="OBDOBI" aplikace="ADS" jenneuzavrene="0" /&gt;
</PRE>

Parametr <code>jenukoncene</code> omezí výběr na minulá (ukončená) období. Výchozí hodnota je <code>jenukoncene=1</code>.
<PRE>
   &lt;vyberobdobi name="OBDOBI" aplikace="ADS" jenukoncene="0" /&gt;
</PRE>

Parametr <code>editing</code> umožní zachovat editaci pole i ve vyplněném formuláři. Výchozí hodnota je <code>editing=no</code>
<PRE>
   &lt;vyberobdobi name="OBDOBI" aplikace="ADS" editing="yes" /&gt;
</PRE>

V těle tagu je možné zadat nepovinnou SQL podmínku pro filtrování dotazu  <code>SELECT PocatekObdobi, Popis FROM Obdobi WHERE ...</code><br/>
<PRE>
   &lt;vyberobdobi name="OBDOBI" aplikace="ADS"&gt; nepovinny SQL filter &lt;/vyberobdobi&gt;
</PRE>


- nepovinný parametr <code>value</code> umožňuje zadat výchozí hodnotu - lze zadat i proměnné např. {$MONTH} (není implementováno v XSL) <br/>



