<?php
/**
 * stanislav.elbl, 05.03.2019
 */

namespace Ron\RonPortal;

use Ron\Controls\LinksList;

require_once 'adsapp/ronportalbrowser.php';


class VysledkyBrowser extends RonPortalBrowser
{
    function odkazyMesicniVysledky($aktualni)
    {
        if (RonPortalSettings::getIntValue(RonPortalSettings::POVOLIT_MESICNI_VYSLEKDY) && RonPortalSettings::getIntValue(RonPortalSettings::POVOLIT_MESICNI_R)) {
            LinksList::renderLinks(
                ['mesicnivysledky' => (\Ron\ronText('Mesicni_vysledky')), 'mesicnivysledkyr' => (\Ron\ronText('Mesicni_vysledky_podle_rozdeleni'))],
                $aktualni, '?menuid=');
        }
    }


    function odkazyVariabilniVysledky($aktualni)
    {
        if (RonPortalSettings::getIntValue(RonPortalSettings::POVOLIT_VARIABILNI) && RonPortalSettings::getIntValue(RonPortalSettings::POVOLIT_VARIABILNI_DENNI)) {
            LinksList::renderLinks(
                ['variantnivysledky' => \Ron\ronText('MI_Variantni_vysledky'), 'dennivysledkyvariantni' => \Ron\ronText('MI_Denni_vysledky')],
                $aktualni, '?menuid=');
        }
    }

}
