<?php
/**
 * UTF8
 * stanislav.elbl, 08.09.2015
 */

$action = \Ron\MVC\Model::getInstance() ->getData('action');
$pp = \Ron\MVC\Model::getInstance() ->getData('PP');
$prava = \Ron\MVC\Model::getInstance() ->getData('prava');

?>

<h1><?= \Ron\ronText( ($action == 'odblokovani') ? 'Odblokovani_karty' : 'Blokovani_karty' ) ?></h1>

<?php \Ron\MessageManager::getInstance() ->showMessages(); ?>

<form method="post" action="?menuid=<?= $action ?>">
    <input type="hidden" name="akceblokovani" value="potvrzeniblokovani">
    <input type="hidden" name="karta" value="<?= \Ron\StringUtils::htmlTextConvert($_POST['karta']) ?>">
    <input type="hidden" name="osoba" value="<?= (int)$_POST['osoba'] ?>">

    <div class="form form-100">
        <div class="form-content">
            <div class="form-row">
                <div class="form-col form-col1 caption"><?= \Ron\ronText('Osoba') ?></div>
                <div class="form-col form-col2"><?= $pp->jmenoPrijmeni ?></div>
            </div>

            <div class="form-row">
                <div class="form-col form-col1 caption"><?= \Ron\ronText('Karta_cislo') ?></div>
                <div class="form-col form-col2"><?= \Ron\StringUtils::htmlTextConvert($_POST["karta"]) ?></div>
            </div>

        <?php if ($prava->priznak) { // uzivatel musi zadat heslo ?>
            <div class="form-row">
                <div class="form-col form-col1 caption"><?= \Ron\ronText('Heslo') ?></div>
                <div class="form-col form-col2">
                    <input class="form-input" type="password" name="heslo">
                </div>
            </div>
        <?php } ?>
        </div>

        <div class="buttons">
            <input type="submit" class="submitbutton" value="<?= \Ron\ronText('Provest') ?>">
        </div>
    </div>
</form>
