<?php
/**
 * UTF8
 * Roman.Szablatura RON Software 23.09.2019
 */

namespace Ron\RonPortal\Jidelna;

use function Ron\ronText;


?>


<div class="form middle-form rondialog" id="jidelna_prevod_objednavky" title="<?= ronText('Jidelna_prevedeni_objednavky') ?>">
    <div class="form-content">
        <input type="hidden" name="osoba" />
        <input type="hidden" name="jidelna" />

        <div class="row">
            <div class="col col-5 caption required">
                <?= ronText('Jidelna_prevod_od_osoby')?>
            </div>
            <div class="col col-7 required">
                <div id="osoba_objednavky"></div>
            </div>
        </div>

        <div class="row">
            <div class="col col-5 caption">
                <?= ronText('Jidelna_id_objednavky_k_prevodu')?>
            </div>

            <div class="col col-7">
                <div id="id_objednavky"></div>
            </div>
        </div>

        <div class="row">
            <div class="col col-5 caption">
                <?= ronText('Jidelna_id_polozky_jidelnicku')?>
            </div>

            <div class="col col-7">
                <div id="id_polozky_jidelnicku"></div>
            </div>
        </div>

        <div class="row">
            <div class="col col-5 caption">
                <?= ronText('Jidelna_popis_objednavky_k_prevodu')?>
            </div>

            <div class="col col-7">
                <div id="popis_objednavky" class="Xmin-width-400px"></div>
            </div>
        </div>

        <div class="row" id='loadingSpinnerPrevodObjednavky'>
            <div class="col col-10 col-sm-5 caption loading-indicator">
                <?= ronText("Jidelna_probiha_prevod_objednavky")?>
            </div>

            <div class="col col-2 col-sm-6 loading-indicator" title="<?= ronText('Probiha_nacitani') ?>">
                <i class="fa fa-spin inline-glyph glyph-spinner"></i>
            </div>
        </div>

        <div class="row">
            <div class="col col-12 col-sm-5 caption required">
                <label for="osobaPrijemce2"><?= ronText('Jidelna_nova_osoba_objednavky')?></label>
            </div>

            <div class="col col-12 col-sm-7 required">
                <select id="prevodObjednavkySelectOsoba" class="ronselect form-input" data-ronselect-class="form-input"
                        data-columns='prijmeni;jmeno' data-text-column="jmenoPrijmeni" data-value-column="idpp"
                        data-max-visible-rows="100">
                </select>

<!--                <input id='osobaPrijemce2' name='osobaPrijemce2' class='selectOsoba' value='--><?//= ronText('Jidelna_nacitani_osob') ?><!--'/>-->
<!--                <input type='hidden' id='osobaPrijemce' name='osobaPrijemce' value=''/>-->
            </div>
        </div>

    </div>

    <div class="buttons align-center">
        <button id="btn_prevest_objednavku" type="button" class="submitbutton"><?= \Ron\ronText('Jidelna_prevest') ?></button>
        <button id="btn_storno" type="button" class="button cancel"><?= \Ron\ronText('Cancel') ?></button>
    </div>
</div>
