<?php
/**
 * UTF8
 * stanislav.elbl, 27.08.2015
 */

namespace Ron\RonPortal;

use Ron\Http\HtmlHeaders;
use Ron\MVC\BrowserController;
use Ron\TextManager;

require_once('ron/browsercontroller.php');
require_once('dochazka/b_historie.php');

TextManager::getInstance() ->loadStrings('dochazka.ini');
HtmlHeaders::getInstance()
    ->addCss('css/dochazka.css');

return new BrowserController(
    $this ->database,
    'historiepruchodu',
    function() { return new HistoriePruchoduBrowser($this ->database); }
);
