<?php
/**
 * stanislav.elbl, 03.08.2015
 */

namespace Ron\RonPortal;

use Ron\MVC\Model;

/** @var ReportsListView $this */
/** @var int $i */

$i = 0;

$filterForm = Model::getInstance() ->getData('filterForm');

?>
<h1><?= \Ron\ronText('Sestavy') ?></h1>

<?php $filterForm ->render(); ?>

<div class="reportlist">

    <?php
    foreach ($this ->reportList as $report) {
        $i++;
    ?>
        <form method="post" action="?menuid=reports" name="printreport<?= $i ?>" target="_blank">
            <input type="hidden" name="reportname" value="<?= $report ->kod ?>" />

            <?php if (isset($this ->idPP)) { ?>
                <!-- prirazeny IdPP -->
                <input type="hidden" name="idpp" value="<?= $this ->idPP ?>" />
            <?php } ?>

            <!-- parametry -->
            <input type="hidden" name="stringparams" value="<?= $this ->stringParams ?>" />
            <input type="hidden" name="dateparams" value="<?= $this ->dateParams ?>" />
            <input type="hidden" name="format" value="" />

            <?php if (!$report ->formaty) { /* pouze defaultni format (PDF) */ ?>

                <div class="report text_link" onclick="document.printreport<?= $i ?>.submit(); return false;">
                <a href=""><?= $report ->nazev ?></a>
                </div>
            <?php } else {
                $reportOK = false;
            ?>
                <div class="report" id="REPORT_<?= str_replace(' ', '_', $report ->kod) ?>">

                <?php if ( $report ->formaty & RonPortalReport::FORMAT_PDF) { ?>
                    <span class="text_link" onclick="document.printreport<?= $i ?>.format.value='pdf'; document.printreport<?= $i ?>.submit(); return false;">
                    <a href=""><?= $reportOK ? \Ron\ronText('PDF') : $report ->nazev ?></a>
                    </span>
                <?php
                        $reportOK = true;
                } ?>

                <?php if ( $report ->formaty & RonPortalReport::FORMAT_XLS) { ?>
                    <span class="text_link" onclick="document.printreport<?= $i ?>.format.value='xls'; document.printreport<?= $i ?>.submit(); return false;">
                    <a href=""><?= ($reportOK ? \Ron\ronText('XLS') : $report ->nazev) ?></a>
                    </span>
                <?php
                    $reportOK = true;
                } ?>

                <?php if ($report ->formaty & RonPortalReport::FORMAT_ODS) { ?>
                    <span class="text_link" onclick="document.printreport<?= $i ?>.format.value='ods'; document.printreport<?= $i ?>.submit(); return false;">
                    <a href=""><?= $reportOK ? \Ron\ronText('ODS') : $report ->nazev ?></a>
                    </span>
                <?php
                    $reportOK = true;
                } ?>
                </div>
            <?php } ?>

            </form>
    <?php } ?>

</div>
