<?php
/**
 * UTF8
 * stanislav.elbl, 28.09.2016
 */

namespace Ron\RonPortal\XML;

use Ron\DateUtils;
use Ron\DB\DBUtils;
use Ron\MVC\Model;
use Ron\RonPortal\AgentManager;
use Ron\RonPortal\Log;
use Ron\RonPortal\Prava;
use Ron\RonPortal\PredavaciProcesyUtils;
use Ron\RonPortal\RonPortalFilterForm;
use Ron\RonPortal\RonPortalSession;
use Ron\RonPortal\RonPortalSettings;
use Ron\RonPortal\User;
use Ron\StringUtils;

class XMLFormElementRonPortal extends XMLFormElement
{
    /** @var RonPortalXMLForm */
    var $ronPortalXmlForm;


    /**
     * @param RonPortalXMLForm $xmlForm
     * @param XMLFormElement $parent
     */
    function __construct($xmlForm, $parent)
    {
        parent::__construct($xmlForm, $parent);
        $this->ronPortalXmlForm = $xmlForm;
    }
}
