<?php
/**
 * stanislav.elbl, 05.11.2020
 */

namespace Ron\RonPortal\XML;

/** @var RonPortalXMLForm $this  */
/** @var XMLFormElement $parentElement */

use Ron\RonPortal\RonPortalSettings;
use Ron\RonPortal\User;

if (!class_exists('\Ron\RonPortal\XML\XMLElementFileManager')) {

    class XMLElementFileManager extends XMLFormElement
    {
        function getHTMLOutput()
        {
            $path = $this ->nahradPromenne($this ->getAttributeValue('path'));
            if (!$path) {
                return;
            }

            require_once 'ron/filemanager.php';

        }
    }
}

return new XMLElementFileManager($this, $parentElement);